<?php

namespace FiloBlu\DynamicCustomOptions\Observer;

use Magento\Framework\Event\Observer as EventObserver;
use Magento\Framework\Event\ObserverInterface;

class CatalogProductLoadAfter implements ObserverInterface {

    protected $_helper;
    protected $_dynamicCustomOptionsResource;

    public function __construct(
    \FiloBlu\DynamicCustomOptions\Helper\Data $helper,
            \FiloBlu\DynamicCustomOptions\Model\ResourceModel\DynamicCustomOptions $dynamicCustomOptionsResource
    ) {
        $this->_helper = $helper;
        $this->_dynamicCustomOptionsResource = $dynamicCustomOptionsResource;
    }

    public function execute(EventObserver $observer) {
        $product = $observer->getEvent()->getProduct();
        $prodHasOptions = $this->_dynamicCustomOptionsResource->productHasOptions($product->getRowId() ? : $product->getId());
        $product->setHasOptions($prodHasOptions);
    }

}
